gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XWindowAttributes

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XWindowAttributes = XWindowAttributes (ManagedPtr XWindowAttributes)
- noXWindowAttributes :: Maybe XWindowAttributes

# Exported types

newtype XWindowAttributes Source #

Memory-managed wrapper type.

Constructors

XWindowAttributes (ManagedPtr XWindowAttributes) |

Instances

WrappedPtr XWindowAttributes Source # |
Instance details Defined in GI.Xlib.Structs.XWindowAttributes Methods wrappedPtrCalloc :: IO (Ptr XWindowAttributes) Source # wrappedPtrCopy :: XWindowAttributes -> IO XWindowAttributes Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XWindowAttributes -> IO ())) Source #

noXWindowAttributes :: Maybe XWindowAttributes Source #

A convenience alias for `Nothing` :: `Maybe` `XWindowAttributes`.